Package org.codehaus.groovy.util

# Class LongArrayIterable

java.lang.Object
org.codehaus.groovy.util.LongArrayIterable

All Implemented Interfaces:
  `Iterable<Long>`

public class LongArrayIterable extends Object implements Iterable<Long>
Allows a long array to be used where an Iterable is expected.

Since:
  3.0.8

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongArrayIterable(long[] array)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Long>`
  `iterator()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### LongArrayIterable

    public LongArrayIterable(long[] array)

- ## Method Details

  - ### iterator

    public Iterator<Long> iterator()
    Specified by:
      `iterator` in interface `Iterable<Long>`